DaoDBManager (training-module-library 1.0.0-4.12.0-163223 API)
Date: 2018-07-19

org.gcube.portal.trainingmodule.database

## Class DaoDBManager<T>

- java.lang.Object
- - org.gcube.portal.trainingmodule.database.DaoDBManager<T>

- Type Parameters:
    `T` - the generic type

      public class DaoDBManager<T>
      extends Object

  The Class DaoDBManager.
  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it Jan 10, 2018

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.slf4j.Logger` | `logger` The logger.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DaoDBManager(javax.persistence.EntityManagerFactory emFactory)` Instantiates a new dao gcube builder report db manager.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DaoUpdater<T>` | `getDaoUpdater()` Gets the dao updater.
    `DaoViewer<T>` | `getDaoViewer()` Gets the dao viewer.
    `javax.persistence.EntityManagerFactory` | `getFactory()` Gets the factory.
    `JavaPersistenceHandler<T>` | `getJavaPersistenceHandler()` Gets the java persistence handler.
    `TrainingProjectPersistence` | `getReleasePersistenceEntity()` Gets the release persistence entity.
    `void` | `instanceReleaseEntity()` Instance release entity.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          public static org.slf4j.Logger logger

      The logger.

  - ### Constructor Detail

    - #### DaoDBManager

          public DaoDBManager(javax.persistence.EntityManagerFactory emFactory)

      Instantiates a new dao gcube builder report db manager.
      Parameters:
        `emFactory` - the em factory

  - ### Method Detail

    - #### instanceReleaseEntity

          public void instanceReleaseEntity()

      Instance release entity.

    - #### getDaoUpdater

          public DaoUpdater<T> getDaoUpdater()

      Gets the dao updater.
      Returns:
        the dao updater

    - #### getDaoViewer

          public DaoViewer<T> getDaoViewer()

      Gets the dao viewer.
      Returns:
        the dao viewer

    - #### getJavaPersistenceHandler

          public JavaPersistenceHandler<T> getJavaPersistenceHandler()

      Gets the java persistence handler.
      Returns:
        the java persistence handler

    - #### getReleasePersistenceEntity

          public TrainingProjectPersistence getReleasePersistenceEntity()

      Gets the release persistence entity.
      Returns:
        the release persistence entity

    - #### getFactory

          public javax.persistence.EntityManagerFactory getFactory()

      Gets the factory.
      Returns:
        the factory

Copyright © 2018. All Rights Reserved.